unit uCopyMode;

interface

uses
{$IFDEF VCL}
  Graphics,
{$ELSE}
  QGraphics,
{$ENDIF}
  Rubies;

procedure Init_CopyMode;

implementation

uses uStrUtils, uDefUtils, uPhi;

procedure Init_CopyMode;
begin
{$IFDEF VCL}
  ap_define_const(mPhi, 'cmBlackness', INT2FIX(cmBlackness));
  ap_define_const(mPhi, 'cmDstInvert', INT2FIX(cmDstInvert));
  ap_define_const(mPhi, 'cmMergeCopy', INT2FIX(cmMergeCopy));
  ap_define_const(mPhi, 'cmMergePaint', INT2FIX(cmMergePaint));
  ap_define_const(mPhi, 'cmNotSrcCopy', INT2FIX(cmNotSrcCopy));
  ap_define_const(mPhi, 'cmNotSrcErase', INT2FIX(cmNotSrcErase));
  ap_define_const(mPhi, 'cmPatCopy', INT2FIX(cmPatCopy));
  ap_define_const(mPhi, 'cmPatInvert', INT2FIX(cmPatInvert));
  ap_define_const(mPhi, 'cmPatPaint', INT2FIX(cmPatPaint));
  ap_define_const(mPhi, 'cmSrcAnd', INT2FIX(cmSrcAnd));
  ap_define_const(mPhi, 'cmSrcCopy', INT2FIX(cmSrcCopy));
  ap_define_const(mPhi, 'cmSrcErase', INT2FIX(cmSrcErase));
  ap_define_const(mPhi, 'cmSrcInvert', INT2FIX(cmSrcInvert));
  ap_define_const(mPhi, 'cmSrcPaint', INT2FIX(cmSrcPaint));
  ap_define_const(mPhi, 'cmWhiteness', INT2FIX(cmWhiteness));
{$ENDIF}
{$IFDEF LINUX}
  ap_define_const(mPhi, 'cmBlackness', INT2FIX(Ord(cmBlackness)));
  ap_define_const(mPhi, 'cmDstInvert', INT2FIX(Ord(cmDstInvert)));
  ap_define_const(mPhi, 'cmMergeCopy', INT2FIX(Ord(cmMergeCopy)));
  ap_define_const(mPhi, 'cmMergePaint', INT2FIX(Ord(cmMergePaint)));
  ap_define_const(mPhi, 'cmNotSrcCopy', INT2FIX(Ord(cmNotSrcCopy)));
  ap_define_const(mPhi, 'cmNotSrcErase', INT2FIX(Ord(cmNotSrcErase)));
  ap_define_const(mPhi, 'cmPatCopy', INT2FIX(Ord(cmPatCopy)));
  ap_define_const(mPhi, 'cmPatInvert', INT2FIX(Ord(cmPatInvert)));
  ap_define_const(mPhi, 'cmPatPaint', INT2FIX(Ord(cmPatPaint)));
  ap_define_const(mPhi, 'cmSrcAnd', INT2FIX(Ord(cmSrcAnd)));
  ap_define_const(mPhi, 'cmSrcCopy', INT2FIX(Ord(cmSrcCopy)));
  ap_define_const(mPhi, 'cmSrcErase', INT2FIX(Ord(cmSrcErase)));
  ap_define_const(mPhi, 'cmSrcInvert', INT2FIX(Ord(cmSrcInvert)));
  ap_define_const(mPhi, 'cmSrcPaint', INT2FIX(Ord(cmSrcPaint)));
  ap_define_const(mPhi, 'cmWhiteness', INT2FIX(Ord(cmWhiteness)));
{$ENDIF}
end;

end.
